name = "lhcsmapi"
__version__ = "1.4.58"


def get_lhcsmapi_version() -> None:
    """ **Method printing out the current version of the lhc-sm-api package.
    Used in notebooks to display the API version.**

    """
    print('Analysis executed with lhc-sm-api version: {}'.format(__version__))


def parse_lhcsmhwc_version(init_file_path: str) -> str:
    """ **Method parsing an __init__.py file and returns version as a string.**

    :param init_file_path: a relative path to an __init__.py file with version of a package
    :type init_file_path: str
    :return: string with version of a package
    """
    import io
    import re
    with io.open(init_file_path, "rt", encoding="utf8") as f:
        return re.search(r'__version__ = "(.*?)"', f.read()).group(1)


def get_lhcsmhwc_version(init_file_path: str) -> None:
    """ **Method printing out the version of HWC notebooks. Used in notebooks to display their version.**

    :param init_file_path: an absolute path to an __init__.py file with version of a package
    :type init_file_path: str
    """
    version = parse_lhcsmhwc_version(init_file_path)
    print('Analysis executed with lhc-sm-hwc notebooks version: {}'.format(version))
