import unittest
from unittest import mock
import sys

mocked_module = mock.MagicMock()
sys.modules['cern.nxcals.pyquery.builders'] = mocked_module
mocked_module.builder.system.startTime.endTime.entity.device.property.buildDataset.select.toPandas.return_value = {}

sys.modules.pop('lhcsmapi.pyedsl.dbsignal.nxcals.NxcalsDbSignal')
from lhcsmapi.pyedsl.dbsignal.nxcals.NxcalsDbSignal import NxcalsDbSignal


class TestNxcalsDbSignalMockHack(unittest.TestCase):

    def test_read_system(self):
        # arrange
        spark_mock = mock.Mock()

        # act
        # assert
        NxcalsDbSignal(t_start=1, t_end=1.5, nxcals_system='WINCCOA', signal="U_RES", spark=spark_mock).read()

    def test_read_system_device_property(self):
        # arrange
        spark_mock = mock.Mock()

        # act
        # assert
        NxcalsDbSignal(nxcals_system='CMW', nxcals_device='RPTE.UA43.RB.A34', nxcals_property='SUB', signal="I_MEAS",
                       t_start=1, t_end=1.5, spark=spark_mock).read()
